MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026263Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-05-25 11:552015-10-23 20:51
Reporterpkv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026263: Inconsistent results of bopargcheck and checkcurveonsurf commands
DescriptionInconsistent results of bopargcheck and checkcurveonsurf commands.
Steps To Reproduce# Take ANC101Compile.tcl from
# http://tracker.dev.opencascade.org/view.php?id=26243 [^]

source ANC101Compile.tcl

copy _model b1
explode b1 f
copy b1_10 b1

bopargcheck b1_10 #F

# The result is:
Shape(s) seem(s) to be valid for BOP.
# The result should be:
The result should be as it is.

checkcurveonsurf b1_10
# the result is:
Invalid curves on surface:
edge e_0 on face f_0 (max dist: 0.0000018294223654, parameter on curve: 0.5860048455114602)
Sugestions to fix the shape:
explode b1 e;
settolerance b1_1 0.0000018312517878;

# The result should be:
This shape seems to be OK.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0026243closedbugmaster Boolean operations failed on shapes with fillets 

-  Notes
(0041486)
git (administrator)
2015-05-25 12:57

Branch CR26263 has been created by pkv.

SHA-1: fb64064b00f75443fe50ead1a3e0abd9a1fbdf6a


No new revisions were added by this update.
(0041487)
git (administrator)
2015-05-25 13:08

Branch CR26263 has been updated by pkv.

SHA-1: 35dcef35b25f794fa86f970034be6d33f4ae1d16


Detailed log of new commits:

Author: pkv
Date: Mon May 25 13:08:25 2015 +0300

    0026263: Inconsistent results of bopargcheck snd checkcurveonsurf commands.
    
    I. New features:
    No new features.
    
    II. Changes:
    II.1. class BOPTest
    - static function:
    Standard_Integer checkcurveonsurf(Draw_Interpretor& di,
                                      Standard_Integer n,
                                      const char** a)
    has been changed.
    The condition that provides selection of faulty curves has been modified
    to be coherent with the same condition in class BOPAlgo_Analyzer.
    
    III. Modified entities:
    packages:
    BOPTest

(0041488)
pkv (developer)
2015-05-25 13:09

Git branch CR26263 is ready to review.
(0041489)
emv (developer)
2015-05-25 13:18

Reviewed.
(0041549)
pkv (developer)
2015-05-26 12:46

Dear Bugmater.
It is not necessary to have a script fo regular testing.
(0041559)
mkv (tester)
2015-05-26 14:03

Dear BugMaster,
Branch CR26263 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 35dcef35b25f794fa86f970034be6d33f4ae1d16

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 100098823 / 99584865 [+0.52%]
Total CPU difference: 18997.090000000047 / 18263.93000000015 [+4.01%]
products component :
Total MEMORY difference: 24126877 / 24303876 [-0.73%]
Total CPU difference: 7720.890000000018 / 7853.200000000018 [-1.68%]

Testing on Windows:
occt component :
Total MEMORY difference: 58995008 / 58811752 [+0.31%]
Total CPU difference: 17147.957522098834 / 16846.84439189903 [+1.79%]
products component :
Total MEMORY difference: 15623829 / 15628514 [-0.03%]
Total CPU difference: 6618.217624199993 / 6588.515033799982 [+0.45%]

There are no differences in images found by testdiff.
(0044263)
git (administrator)
2015-08-14 11:00

Branch CR26263 has been deleted by inv.

SHA-1: 35dcef35b25f794fa86f970034be6d33f4ae1d16

- Related Changesets
occt: master 5fe13efc
Timestamp: 2015-05-25 10:08:25
Author: pkv
Committer: bugmaster
Details ] Diff ]
0026263: Inconsistent results of bopargcheck snd checkcurveonsurf commands.

Changes:
class BOPTest
- static function:
Standard_Integer checkcurveonsurf(Draw_Interpretor& di,
                                  Standard_Integer n,
                                  const char** a)
has been changed.
The condition that provides selection of faulty curves has been modified
to be coherent with the same condition in class BOPAlgo_Analyzer.
mod - src/BOPTest/BOPTest_CheckCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-25 11:55 pkv New Issue
2015-05-25 11:55 pkv Assigned To => msv
2015-05-25 11:55 pkv Relationship added child of 0023243
2015-05-25 11:56 pkv Relationship deleted child of 0023243
2015-05-25 11:56 pkv Relationship added child of 0026243
2015-05-25 11:57 pkv Steps to Reproduce Updated View Revisions
2015-05-25 11:58 pkv Status new => assigned
2015-05-25 11:59 msv Assigned To msv => pkv
2015-05-25 12:00 msv Summary Inconsistent results of bopargcheck snd checkcurveonsurf commands. => Inconsistent results of bopargcheck and checkcurveonsurf commands
2015-05-25 12:01 msv Description Updated View Revisions
2015-05-25 12:57 git Note Added: 0041486
2015-05-25 13:08 git Note Added: 0041487
2015-05-25 13:09 pkv Status assigned => resolved
2015-05-25 13:09 pkv Note Added: 0041488
2015-05-25 13:10 pkv Assigned To pkv => emv
2015-05-25 13:18 emv Note Added: 0041489
2015-05-25 13:18 emv Assigned To emv => mkv
2015-05-25 13:18 emv Status resolved => reviewed
2015-05-26 12:46 pkv Note Added: 0041549
2015-05-26 14:03 mkv Note Added: 0041559
2015-05-26 14:03 mkv Assigned To mkv => bugmaster
2015-05-26 14:03 mkv Status reviewed => tested
2015-05-26 14:04 mkv Test case number => Not needed
2015-05-29 14:15 bugmaster Changeset attached => occt master 5fe13efc
2015-05-29 14:15 bugmaster Status tested => verified
2015-05-29 14:15 bugmaster Resolution open => fixed
2015-05-29 14:18 bugmaster Target Version 7.1.0 => 7.0.0
2015-08-14 11:00 git Note Added: 0044263
2015-08-26 11:11 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:51 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker